For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mail İşlem Geçmişini Getirir

Mailin işlem geçmişini getirir.

get
Authorizations
HTTPRequired

API Key Giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Mailin işlem geçmişini getirir.

application/json
Emailstring · nullableOptional
MessageIdstring · nullableOptional
Statusstring · nullableOptional
IsSuccessbooleanOptional
Eventstring · enumOptionalPossible values:
CreatedDatestring · date-timeOptional
EventDatestring · date-timeOptional
get/Purchase/{UUID}/Mailhistories
GET /einvoice/Purchase/{UUID}/Mailhistories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "Email": "text",
    "MessageId": "text",
    "Status": "text",
    "IsSuccess": true,
    "Event": "processed",
    "CreatedDate": "2026-01-01T00:00:00.000Z",
    "EventDate": "2026-01-01T00:00:00.000Z"
  }
]
var client = new RestClient("https://apitest.nilvera.com/einvoice/Purchase/10c46a24-08bc-4cc0-ae3e-fa908a2b77c1/Mailhistories");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Purchase/10c46a24-08bc-4cc0-ae3e-fa908a2b77c1/Mailhistories',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated